Skip Navigation LinksTechnical Support for Students and Parents > Brightspace System Requirements

​​​

​​Brightspace System Requirements

About Requirements

Critical features in Brightspace such as opening courses or viewing content may not work if the required operating systems, browsers and settings are not used.

Learn more below about what is required on your computer or device to use Brightspace.

General Browser settings

  • Enable cookies and Java for at least the Brightspace site.

Using Brightspace on desktops and laptops

  • The latest version of Google Chrome, Safari, Firefox or Edge

Using Brightspace on mobile devices

  • Android - OS 5 or greater with the latest version of Chrome
  • Windows - 10 with latest Chrome, Edge or Firefox Browser.
  • Apple - The latest major iOS® version with its latest update or the previous major iOS® version with its latest update is required with the bundled Safari version, or the lasts version of Chrome for iOS®.

Using the Student Pulse App and Classroom Portfolio App on mobile devices

  • Android OS 5 or later
  • Apple iOS® 11.0 or later on iPhone®, iPad®, and iPod® touch

Other Tips

  • CBE always recommends using Chrome or Safari for Brightspace use
  • After logging into Brightspace on a browser, use the link on the navigation bar labelled “System check” to determine if you have a working setup.
  • Older devices may not be able to update to the latest releases of browsers and operating systems.
  • If something is not working, update or try a different browser or device. ​